Subject: Re: bug#40369: guix environment messed up shell

From: Ludovic Courtès <[email-masked]>
Date: Thu, 02 Apr 2020 12:34:42 +0200

Hi,

"Alexandru-Sergiu Marton" <[email-masked]> skribis:

> Whenever I run `guix environment <package>`, the shell I get has
> problems when I write commands that span multiple lines. The most basic
> glitch is that when I get to the end of the first line, the next
> characters end up at the beginning of the same line, overwriting
> everything I wrote so far. One of the wilder scenarios is the one where
> each new character is added on a new line, _on top_ of the one I'm
> currently writing.
>
> Steps to reproduce:
> 1. $ guix environment neovim
> 2. Write stuff that is longer than a single line.

What shell do you use?

Could you check if this is somehow due to PS1?  For instance run:

  guix environment neovim
  export PS1='\u\$ '
  write a loooong line

Thanks in advance,
Ludo’.